package com.dev.swms.server.model.abstractEntity;

import java.util.Date;

import com.dev.energy.server.model.Entity;

public class SpareParts extends Entity{

	
	/**  吊装点*/
	private String code;
	private String  modelType;//型式名
	/** 吊装名 */
	private String name;
	/** 数量 */
	private double orderQuantity;
	/** 吊装日期 */
	private Date allocateTime;
	private BigItem bigItem;//品番
	/** 操作人 */
	private String userName;
	/** 操作日期 */
	private Date userDate;
	/** 状态 */
	private String status;
	
	/** 备注 */
	private String description;
	/** ID_NO */
	private String str1;
	/** PARTS_ID */
	private String str2;
	/** 机种 */
	private String str3;
	/**  */
	private String str4;
	
	/**下线数据/吊装数据的ids*/
	private String str5;
	
	private String autoCode;

	public String getAutoCode() {
		return autoCode;
	}

	public void setAutoCode(String autoCode) {
		this.autoCode = autoCode;
	}

	public BigItem getBigItem() {
		return bigItem;
	}

	public void setBigItem(BigItem bigItem) {
		this.bigItem = bigItem;
	}

	public String getStr1() {
		return str1;
	}

	public void setStr1(String str1) {
		this.str1 = str1;
	}

	public String getStr2() {
		return str2;
	}

	public void setStr2(String str2) {
		this.str2 = str2;
	}

	public String getStr3() {
		return str3;
	}

	public void setStr3(String str3) {
		this.str3 = str3;
	}

	public String getStr4() {
		return str4;
	}

	public void setStr4(String str4) {
		this.str4 = str4;
	}

	public String getStr5() {
		return str5;
	}

	public void setStr5(String str5) {
		this.str5 = str5;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getModelType() {
		return modelType;
	}

	public void setModelType(String modelType) {
		this.modelType = modelType;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public double getOrderQuantity() {
		return orderQuantity;
	}

	public void setOrderQuantity(double orderQuantity) {
		this.orderQuantity = orderQuantity;
	}

	public Date getAllocateTime() {
		return allocateTime;
	}

	public void setAllocateTime(Date allocateTime) {
		this.allocateTime = allocateTime;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Date getUserDate() {
		return userDate;
	}

	public void setUserDate(Date userDate) {
		this.userDate = userDate;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
}
